Functions for accessing file content

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Functions for accessing file content

Content functions. More...

## Functions
void | elm_code_file_clear (Elm_Code_File *file)
unsigned int | elm_code_file_lines_get (Elm_Code_File *file)
void | elm_code_file_line_append (Elm_Code_File *file, const char *line, int length, void *data)
void | elm_code_file_line_insert (Elm_Code_File *file, unsigned int row, const char *line, int length, void *data)
void | elm_code_file_line_remove (Elm_Code_File *file, unsigned int row)
Elm_Code_Line * | elm_code_file_line_get (Elm_Code_File *file, unsigned int line)
void | elm_code_line_split_at (Elm_Code_Line *line, unsigned int position)
| Split the given line into two at the specified character position.
void | elm_code_line_merge_up (Elm_Code_Line *line)
| Merge the specified line with the line above.
void | elm_code_line_merge_down (Elm_Code_Line *line)
| Merge the specified line with the line below.

## Detailed Description

Content functions.

File content handling functions.

## Function Documentation

## ◆ elm_code_line_split_at()

void elm_code_line_split_at | ( | Elm_Code_Line * | line,
|  | unsigned int | position
| ) |  |

Split the given line into two at the specified character position.

The additional line will be inserted into the file immediately below the specified line.

Parameters

  line | The line to split
  position | The character position to split at

References EINA_LIST_FREE, eina_strndup(), and EINA_UNUSED.

## ◆ elm_code_line_merge_up()

void elm_code_line_merge_up | ( | Elm_Code_Line * | line | ) |

Merge the specified line with the line above.

The content of the specified line will be added to the end of the previous line. The specified line will then be removed from the file.

If there is no previous line this method does nothing.

Parameters

  line | The line to merge with the previous line.

## ◆ elm_code_line_merge_down()

void elm_code_line_merge_down | ( | Elm_Code_Line * | line | ) |

Merge the specified line with the line below.

The content of the specified line will have the contents of the next line added to the end. The next line will then be removed from the file.

If there is no next line this method does nothing.

Parameters

  line | The line to merge with the next line.